import type { EventName, ReactWebComponent } from '@lit/react';
type EventNames = Record<string, EventName | string>;
/**
 * these types are defined by a Stencil hydrate app so we have to copy the minimal types here
 */
interface RenderToStringOptions {
    fullDocument?: boolean;
    serializeShadowRoot?: boolean;
    prettyHtml?: boolean;
}
type RenderToString = (html: string, options: RenderToStringOptions) => Promise<{
    html: string | null;
}>;
interface CreateComponentForServerSideRenderingOptions {
    tagName: string;
    renderToString: RenderToString;
}
export declare const createComponentForServerSideRendering: <I extends HTMLElement, E extends EventNames = {}>(options: CreateComponentForServerSideRenderingOptions) => ReactWebComponent<I, E>;
export {};
